
Core - Bug # 40795

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Mario Rimann Category: FormEngine aka TCEforms
Created: 2012-09-10 Assigned To:
Updated: 2012-09-11 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Exception in TCA tree after Namespace changes
Description

When trying to create a new "News Category" record in the list module, the following Exception is thrown:

#1: PHP Catchable Fatal Error: Argument 1 passed to TYPO3\CMS\Backend\Tree\AbstractTree::setNodeRenderer() must be
an instance of
t3lib_tree_renderer_Abstract, instance of TYPO3\CMS\Core\Tree\TableConfiguration\ExtJsArrayTreeRenderer given, called in
C:\xampp\htdocs\currenttruk\typo3\sysext\backend\Classes\Form\Element\TreeElement.php on line 91 and defined in
C:\xampp\htdocs\currenttrunk\typo3\sysext\backend\Classes\Tree\AbstractTree.php line 7

This happens with current TYPO3-Core from Git (6.0-dev) and current Git-Version from tx_news (but seems to be a bug in the core,
since the extension only tries to use a field-type from TCA).

Associated revisions
Revision 434e8629 - 2012-09-11 08:24 - Georg Ringer

[BUGFIX] Wrong type hint used after namespace changes

One place has been missing while changing all the
class names

Change-Id: I73d5e3f006377ea46079ac9f17f30c817ada7d4a
Resolves: #40795
ReleaseS: 6.0
Reviewed-on: http://review.typo3.org/14508
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2012-09-10 17:04 - Claus Due

Note, this appears to happen because t3lib_tree_renderer_Abstract is no longer part of the inheritance tree for
\TYPO3\CMS\Backend\Tree\AbstractTree.

It will no longer be possible to check for implementations of parent classes and interfaces (in a way that works equally on pre-6.0 and 6.0). Sorry guys.
#2 - 2012-09-10 17:10 - Tymoteusz Motylewski

this is indeed bug in core
method
TYPO3\CMS\Backend\Tree\AbstractTree::setNodeRenderer [1]
is defined as:
public function setNodeRenderer(\t3lib_tree_renderer_Abstract $nodeRenderer) {

but it should use namespaced class name

[1]
http://git.typo3.org/TYPO3v4/Core.git?a=blob;f=typo3/sysext/backend/Classes/Tree/AbstractTree.php;h=0e5df96e5ca15f44e7a1d1d673830b4301bf3
d1;hb=master

#3 - 2012-09-11 08:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14508

#4 - 2012-09-11 08:30 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:434e8629c40212545e4562718e442f3655c211e4.

#5 - 2012-09-11 20:35 - Christian Kuhn
- Parent task set to #40095
